org.jgroups.stack

## Enum RouterStub.ConnectionStatus

- java.lang.Object
- - java.lang.Enum<RouterStub.ConnectionStatus>
  - - org.jgroups.stack.RouterStub.ConnectionStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RouterStub.ConnectionStatus>
  Enclosing class:
    RouterStub

      public static enum RouterStub.ConnectionStatus
      extends java.lang.Enum<RouterStub.ConnectionStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONNECTED`
    `CONNECTION_BROKEN`
    `CONNECTION_ESTABLISHED`
    `DISCONNECTED`
    `INITIAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RouterStub.ConnectionStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RouterStub.ConnectionStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INITIAL

          public static final RouterStub.ConnectionStatus INITIAL

    - #### CONNECTION_BROKEN

          public static final RouterStub.ConnectionStatus CONNECTION_BROKEN

    - #### CONNECTION_ESTABLISHED

          public static final RouterStub.ConnectionStatus CONNECTION_ESTABLISHED

    - #### CONNECTED

          public static final RouterStub.ConnectionStatus CONNECTED

    - #### DISCONNECTED

          public static final RouterStub.ConnectionStatus DISCONNECTED

  - ### Method Detail

    - #### values

          public static RouterStub.ConnectionStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RouterStub.ConnectionStatus c : RouterStub.ConnectionStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RouterStub.ConnectionStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.